-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Nov 10, 2022 at 07:27 PM
-- Server version: 10.6.9-MariaDB-log
-- PHP Version: 7.4.30

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `Appian`
--

-- --------------------------------------------------------

--
-- Table structure for table `WC_COUNTRY`
--

CREATE TABLE `WC_COUNTRY` (
  `ID` int(11) NOT NULL,
  `NAME` varchar(255) DEFAULT NULL,
  `FLAG_URL` varchar(255) DEFAULT NULL,
  `GROUP` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Dumping data for table `WC_COUNTRY`
--

INSERT INTO `WC_COUNTRY` (`ID`, `NAME`, `FLAG_URL`, `GROUP`) VALUES
(1, 'Qatar', 'https://countryflagsapi.com/png/qa', 'A'),
(2, 'Ecuador', 'https://countryflagsapi.com/png/ec', 'A'),
(3, 'Senegal', 'https://countryflagsapi.com/png/sn', 'A'),
(4, 'Netherlands', 'https://countryflagsapi.com/png/nl', 'A'),
(5, 'England', 'https://countryflagsapi.com/png/gb-eng', 'B'),
(6, 'IR Iran', 'https://countryflagsapi.com/png/ir', 'B'),
(7, 'USA', 'https://countryflagsapi.com/png/us', 'B'),
(8, 'Wales', 'https://countryflagsapi.com/png/gb-wls', 'B'),
(9, 'Argentina', 'https://countryflagsapi.com/png/ar', 'C'),
(10, 'Saudi Arabia', 'https://countryflagsapi.com/png/sa', 'C'),
(11, 'Mexico', 'https://countryflagsapi.com/png/mx', 'C'),
(12, 'Poland', 'https://countryflagsapi.com/png/pl', 'C'),
(13, 'France', 'https://countryflagsapi.com/png/fr', 'D'),
(14, 'Denmark', 'https://countryflagsapi.com/png/dk', 'D'),
(15, 'Tunisia', 'https://countryflagsapi.com/png/tn', 'D'),
(16, 'Australia', 'https://countryflagsapi.com/png/au', 'D'),
(17, 'Spain', 'https://countryflagsapi.com/png/es', 'E'),
(18, 'Germany', 'https://countryflagsapi.com/png/de', 'E'),
(19, 'Japan', 'https://countryflagsapi.com/png/jp', 'E'),
(20, 'Costa Rica', 'https://countryflagsapi.com/png/cr', 'E'),
(21, 'Belgium', 'https://countryflagsapi.com/png/be', 'F'),
(22, 'Canada', 'https://countryflagsapi.com/png/ca', 'F'),
(23, 'Morocco', 'https://countryflagsapi.com/png/ma', 'F'),
(24, 'Croatia', 'https://countryflagsapi.com/png/hr', 'F'),
(25, 'Brazil', 'https://countryflagsapi.com/png/br', 'G'),
(26, 'Serbia', 'https://countryflagsapi.com/png/rs', 'G'),
(27, 'Switzerland', 'https://countryflagsapi.com/png/ch', 'G'),
(28, 'Cameroon', 'https://countryflagsapi.com/png/cm', 'G'),
(29, 'Portugal', 'https://countryflagsapi.com/png/pt', 'H'),
(30, 'Ghana', 'https://countryflagsapi.com/png/gh', 'H'),
(31, 'Uruguay', 'https://countryflagsapi.com/png/uy', 'H'),
(32, 'Korea Republic', 'https://countryflagsapi.com/png/kr', 'H');

-- --------------------------------------------------------

--
-- Table structure for table `WC_COUNTRY_MATCH_MAPPING`
--

CREATE TABLE `WC_COUNTRY_MATCH_MAPPING` (
  `ID` int(11) NOT NULL,
  `MATCH_ID` int(11) DEFAULT NULL,
  `COUNTRY_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Dumping data for table `WC_COUNTRY_MATCH_MAPPING`
--

INSERT INTO `WC_COUNTRY_MATCH_MAPPING` (`ID`, `MATCH_ID`, `COUNTRY_ID`) VALUES
(1, 1, 1),
(2, 1, 2),
(3, 2, 3),
(4, 2, 4),
(5, 3, 5),
(6, 3, 6),
(7, 4, 7),
(8, 4, 8),
(9, 5, 13),
(10, 5, 16),
(11, 6, 14),
(12, 6, 15),
(13, 7, 11),
(14, 7, 12),
(15, 8, 9),
(16, 8, 10),
(17, 9, 21),
(18, 9, 22),
(19, 10, 17),
(20, 10, 20),
(21, 11, 18),
(22, 11, 19),
(23, 12, 23),
(24, 12, 24),
(25, 13, 27),
(26, 13, 28),
(27, 14, 31),
(28, 14, 32),
(29, 15, 29),
(30, 15, 30),
(31, 16, 25),
(32, 16, 26),
(33, 17, 6),
(34, 17, 8),
(35, 18, 1),
(36, 18, 3),
(37, 19, 2),
(38, 19, 4),
(39, 20, 5),
(40, 20, 7),
(41, 21, 15),
(42, 21, 16),
(43, 22, 10),
(44, 22, 12),
(45, 23, 13),
(46, 23, 14),
(47, 24, 9),
(48, 24, 11),
(49, 25, 19),
(50, 25, 20),
(51, 26, 21),
(52, 26, 23),
(53, 27, 22),
(54, 27, 24),
(55, 28, 17),
(56, 28, 18),
(57, 29, 26),
(58, 29, 28),
(59, 30, 30),
(60, 30, 32),
(61, 31, 25),
(62, 31, 27),
(63, 32, 29),
(64, 32, 31),
(65, 33, 5),
(66, 33, 8),
(67, 34, 6),
(68, 34, 7),
(69, 35, 2),
(70, 35, 3),
(71, 36, 1),
(72, 36, 4),
(73, 37, 14),
(74, 37, 16),
(75, 38, 13),
(76, 38, 15),
(77, 39, 9),
(78, 39, 12),
(79, 40, 10),
(80, 40, 11),
(81, 41, 21),
(82, 41, 24),
(83, 42, 22),
(84, 42, 23),
(85, 43, 17),
(86, 43, 19),
(87, 44, 18),
(88, 44, 20),
(89, 45, 30),
(90, 45, 31),
(91, 46, 29),
(92, 46, 32),
(93, 47, 26),
(94, 47, 27),
(95, 48, 25),
(96, 48, 28);

-- --------------------------------------------------------

--
-- Table structure for table `WC_MATCH`
--

CREATE TABLE `WC_MATCH` (
  `ID` int(11) NOT NULL,
  `DATETIME` datetime NOT NULL,
  `VENUE_ID` int(11) NOT NULL,
  `WINNER_COUNTRY_ID` int(11) DEFAULT NULL,
  `WINNER_NEXT_MATCH_ID` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Dumping data for table `WC_MATCH`
--

INSERT INTO `WC_MATCH` (`ID`, `DATETIME`, `VENUE_ID`, `WINNER_COUNTRY_ID`, `WINNER_NEXT_MATCH_ID`) VALUES
(1, '2022-11-20 19:00:00', 2, NULL, NULL),
(2, '2022-11-21 19:00:00', 4, NULL, NULL),
(3, '2022-11-21 16:00:00', 5, NULL, NULL),
(4, '2022-11-21 22:00:00', 7, NULL, NULL),
(5, '2022-11-22 22:00:00', 8, NULL, NULL),
(6, '2022-11-22 16:00:00', 6, NULL, NULL),
(7, '2022-11-22 19:00:00', 3, NULL, NULL),
(8, '2022-11-22 13:00:00', 1, NULL, NULL),
(9, '2022-11-23 22:00:00', 7, NULL, NULL),
(10, '2022-11-23 19:00:00', 4, NULL, NULL),
(11, '2022-11-23 16:00:00', 5, NULL, NULL),
(12, '2022-11-23 13:00:00', 2, NULL, NULL),
(13, '2022-11-24 13:00:00', 8, NULL, NULL),
(14, '2022-11-24 16:00:00', 6, NULL, NULL),
(15, '2022-11-24 19:00:00', 3, NULL, NULL),
(16, '2022-11-24 22:00:00', 1, NULL, NULL),
(17, '2022-11-25 13:00:00', 7, NULL, NULL),
(18, '2022-11-25 16:00:00', 4, NULL, NULL),
(19, '2022-11-25 19:00:00', 5, NULL, NULL),
(20, '2022-11-25 22:00:00', 2, NULL, NULL),
(21, '2022-11-26 13:00:00', 8, NULL, NULL),
(22, '2022-11-26 16:00:00', 6, NULL, NULL),
(23, '2022-11-26 19:00:00', 3, NULL, NULL),
(24, '2022-11-26 22:00:00', 1, NULL, NULL),
(25, '2022-11-27 13:00:00', 7, NULL, NULL),
(26, '2022-11-27 16:00:00', 4, NULL, NULL),
(27, '2022-11-27 19:00:00', 5, NULL, NULL),
(28, '2022-11-27 22:00:00', 2, NULL, NULL),
(29, '2022-11-28 13:00:00', 8, NULL, NULL),
(30, '2022-11-28 16:00:00', 6, NULL, NULL),
(31, '2022-11-28 19:00:00', 3, NULL, NULL),
(32, '2022-11-28 22:00:00', 1, NULL, NULL),
(33, '2022-11-29 22:00:00', 7, NULL, NULL),
(34, '2022-11-29 22:00:00', 4, NULL, NULL),
(35, '2022-11-29 18:00:00', 5, NULL, NULL),
(36, '2022-11-29 18:00:00', 2, NULL, NULL),
(37, '2022-11-30 18:00:00', 8, NULL, NULL),
(38, '2022-11-30 18:00:00', 6, NULL, NULL),
(39, '2022-11-30 22:00:00', 3, NULL, NULL),
(40, '2022-11-30 22:00:00', 1, NULL, NULL),
(41, '2022-12-01 18:00:00', 7, NULL, NULL),
(42, '2022-12-01 18:00:00', 4, NULL, NULL),
(43, '2022-12-01 22:00:00', 5, NULL, NULL),
(44, '2022-12-01 22:00:00', 2, NULL, NULL),
(45, '2022-12-02 18:00:00', 8, NULL, NULL),
(46, '2022-12-02 18:00:00', 6, NULL, NULL),
(47, '2022-12-02 22:00:00', 3, NULL, NULL),
(48, '2022-12-02 22:00:00', 1, NULL, NULL),
(49, '2022-12-03 18:00:00', 5, NULL, 57),
(50, '2022-12-03 22:00:00', 7, NULL, 57),
(51, '2022-12-04 22:00:00', 2, NULL, 59),
(52, '2022-12-04 18:00:00', 4, NULL, 59),
(53, '2022-12-05 18:00:00', 8, NULL, 58),
(54, '2022-12-05 22:00:00', 3, NULL, 58),
(55, '2022-12-06 18:00:00', 6, NULL, 60),
(56, '2022-12-06 22:00:00', 1, NULL, 60),
(57, '2022-12-09 22:00:00', 1, NULL, 61),
(58, '2022-12-09 18:00:00', 6, NULL, 61),
(59, '2022-12-10 22:00:00', 2, NULL, 62),
(60, '2022-12-10 18:00:00', 4, NULL, 62),
(61, '2022-12-13 22:00:00', 1, NULL, 64),
(62, '2022-12-14 22:00:00', 2, NULL, 64),
(63, '2022-12-17 18:00:00', 5, NULL, NULL),
(64, '2022-12-18 18:00:00', 1, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `WC_VENUE`
--

CREATE TABLE `WC_VENUE` (
  `ID` int(11) NOT NULL,
  `STADIUM` varchar(255) DEFAULT NULL,
  `CITY` varchar(255) DEFAULT NULL,
  `DESCRIPTION` varchar(4000) DEFAULT NULL,
  `CAPACITY` int(11) DEFAULT NULL,
  `IMAGE_URL` varchar(255) DEFAULT NULL,
  `FIFA_PAGE` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;

--
-- Dumping data for table `WC_VENUE`
--

INSERT INTO `WC_VENUE` (`ID`, `STADIUM`, `CITY`, `DESCRIPTION`, `CAPACITY`, `IMAGE_URL`, `FIFA_PAGE`) VALUES
(1, 'Lusail Iconic Stadium', 'Lusail', 'The stadium\'s design is inspired by the interplay of light and shadow that characterises the \'fanar\' lantern. \n\nLusail\'s shape and facade echo the intricate decorative motifs on bowls and other vessels characteristic of the golden age of art and craftsmanship in the Arab and Islamic world.', 80000, 'https://cloudinary.fifa.com/m/7affbb66831bf98b/original/FIFA-Arab-Cup-Qatar-2021-December-16.jpg', 'https://www.fifa.com/fifaplus/en/articles/lusail-stadium'),
(2, 'Al Bayt Stadium', 'Al Khor', 'The stadium takes its name from ‘bayt al sha’ar’ – which were tents historically used by nomadic peoples in Qatar and the Gulf region. \n\nThe design honours Qatar’s past and present, while keeping one eye on the future of the community.\n\nCovering an area larger than 30 football pitches, Al Bayt Park boasts vast green spaces with play areas and exercise stations, along with tracks for running, cycling, horse riding and camel riding.  \n\nIn addition, the precinct is home to multi-sport grounds which are also open for public use. In November 2021, the Quodorat Centre, a community space for the preservation of cultural heritage and inter-generational dialogue, opened its new headquarters within the precinct, in partnership with the SC and Aspire Zone. \n\nLed by Qatar\'s Ministry of Culture and Sport, a branch of the Nomas Centre will teach youth about the country\'s cultural heritage by organising a number of activities, including horse riding. ', 60000, 'https://cloudinary.fifa.com/m/c8fb2a0f9ea9ee52/original/qvbxqr5uir54g7nxgsea-jpg.jpg', 'https://www.fifa.com/fifaplus/en/articles/al-bayt-stadium-al-khor-city-en'),
(3, 'Stadium 974', 'Doha', 'The only waterfront venue with a spectacular view of the Doha skyline, Stadium 974 was constructed using standard certified shipping containers and modular steel elements, echoing the nearby port and the industrial history of the plot.\n\nThe result is a distinctive, boldly colourful and thoroughly modern arena. The concept of the stadium was designed by Fenwick Iribarren Architects.\n\nThe stadium’s clever modular design meant that fewer normal building materials were required than in traditional stadium development, which helped keep construction costs down.', 40000, 'https://cloudinary.fifa.com/m/7e1a08f18a6ce3af/original/United-Arab-Emirates-v-Syria-FIFA-Arab-Cup-Qatar-2021.jpg', 'https://www.fifa.com/fifaplus/en/articles/stadium-974'),
(4, 'Al Thumama Stadium', 'Doha', 'The stadium’s design represents the gahfiya – a traditional woven cap worn by men and boys across the Middle East. \n\nThe gahfiya forms a fundamental layer of the traditional clothing of the region. It is also a symbol of dignity and independence.', 40000, 'https://cloudinary.fifa.com/transform/51c787c0-297c-454d-84c7-c931cd9bcc7d/FIFA-World-Cup-Qatar-2022-Venue-Aerial-Views?tx=c_fill,ar_1.78,g_auto,q_auto,w_545', 'https://www.fifa.com/fifaplus/en/articles/al-thumama-stadium-en'),
(5, 'Khalifa International Stadium', 'Al Rayyan', 'The stadium’s dual arches remained intact following the redevelopment and have now been complemented by a wide canopy below which supports the stadium’s integration of the new cooling system. \n\nThe new tier added 10,450 seats to the capacity (tournament capacity 40,000), while the stadium now features a new facade. The new LED lighting system adds a new dimension to the fan experience.', 45416, 'https://cloudinary.fifa.com/transform/af8a878f-7bc2-484c-83cc-844b4912602e/72nd-FIFA-Congress-and-FIFA-World-Cup-Qatar-2022-Final-Draw-Previews?tx=c_fill,ar_1.78,g_auto,q_auto,w_545', 'https://www.fifa.com/fifaplus/en/articles/khalifa-international-stadium'),
(6, 'Education City Stadium', 'Al Rayyan', 'The facade of the stadium features triangles that form complex, diamond-like geometrical patterns which appear to change colour with the sun’s movement across the sky.  \n\nLike diamonds, the stadium’s design represents quality, durability and resilience – and will become something to be treasured, both for the memories it holds and its future value to the country.', 45350, 'https://cloudinary.fifa.com/m/34db9cfff3974cbc/original/cakdqx4mi9lxoadg1opg-jpg.jpg', 'https://www.fifa.com/fifaplus/en/articles/education-city-stadium'),
(7, 'Ahmad bin Ali Stadium', 'Al Rayyan', 'The stadium’s most striking feature is a glowing facade, comprised of patterns that characterise different aspects of the country: the importance of family, the beauty of the desert, the native lora and fauna, and local and international trade. \n\nA fifth shape, a shield, brings together all the others, representing the strength and unity that is particularly relevant to the city of Al Rayyan.\n\nThe precinct will feature an array of sporting facilities, including cricket pitches, football pitches, a children\'s playground, outdoor gym facilities, an aquatics centre, tennis courts, a skate park and athletics track.  \n\nIn addition, there will be landscaped parks, cafes and walkways, in addition to the Mall of Qatar, which opened in 2016 and is adjacent to the stadium.', 44740, 'https://cloudinary.fifa.com/m/17491c85a4d2cb39/webimage-Jordan-v-Morocco-FIFA-Arab-Cup-Qatar-2021.png', 'https://www.fifa.com/fifaplus/en/articles/ahmed-bin-ali-stadium'),
(8, 'Al Janoub Stadium', 'Al Wakrah', 'The design is inspired by the sails of traditional dhow boats, in tribute to Al Wakrah’s seafaring past. \n\nAn innovative cooling system and retractable roof mean the stadium will be used all year round. \n\nThe stadium was designed by AECOM and Zaha Hadid Architects.\n\nAl Janoub Park, within the precinct, opened in February 2020. It features cycling and running tracks, children\'s play areas and other green spaces. Eventually, there will be a marketplace and community facilities, including a mosque and school.', 40000, 'https://cloudinary.fifa.com/transform/6093aabb-245b-4174-976e-0fdf6694df74/General-Views-Of-FIFA-World-Cup-Qatar-2022-Venues?tx=c_fill,ar_1.78,g_auto,q_auto,w_545', 'https://www.fifa.com/fifaplus/en/articles/al-janoub-stadium-en');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `WC_COUNTRY`
--
ALTER TABLE `WC_COUNTRY`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `WC_COUNTRY_MATCH_MAPPING`
--
ALTER TABLE `WC_COUNTRY_MATCH_MAPPING`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `WC_MATCH`
--
ALTER TABLE `WC_MATCH`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `WC_VENUE`
--
ALTER TABLE `WC_VENUE`
  ADD PRIMARY KEY (`ID`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `WC_COUNTRY`
--
ALTER TABLE `WC_COUNTRY`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=33;

--
-- AUTO_INCREMENT for table `WC_COUNTRY_MATCH_MAPPING`
--
ALTER TABLE `WC_COUNTRY_MATCH_MAPPING`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=97;

--
-- AUTO_INCREMENT for table `WC_MATCH`
--
ALTER TABLE `WC_MATCH`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=65;

--
-- AUTO_INCREMENT for table `WC_VENUE`
--
ALTER TABLE `WC_VENUE`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=9;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
